Bug 1123726 (CVE-2008-6504) - CVE-2008-6504 Apache Struts2/WebWorks/XWork: ParameterInterceptors bypass allows OGNL statement execution
Summary: CVE-2008-6504 Apache Struts2/WebWorks/XWork: ParameterInterceptors bypass all...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2008-6504
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20080612,repor...
Depends On:
Blocks: 1123737
TreeView+ depends on / blocked
 
Reported: 2014-07-28 06:37 UTC by Arun Babu Neelicattu
Modified: 2019-09-17 20:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:50:06 UTC


Attachments (Terms of Use)

Description Arun Babu Neelicattu 2014-07-28 06:37:51 UTC
It was discovered that ParametersInterceptor in OpenSymphony XWork 2.0.x before 2.0.6 and 2.1.x before 2.1.2, as used in Apache Struts and other products, does not properly restrict # (pound sign) references to context objects, which allows remote attackers to execute Object-Graph Navigation Language (OGNL) statements and modify server-side context objects, as demonstrated by use of a \u0023 representation for the # character.

References:

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2008-6504
http://struts.apache.org/release/2.2.x/docs/s2-003.html
https://github.com/victims/victims-cve-db/blob/master/database/java/2008/6504.yaml

Comment 1 gil cattaneo 2014-07-28 10:21:26 UTC
for now i not interested to upgrade struts to 2.x series
regards

Comment 3 Chess Hazlett 2019-09-17 20:28:42 UTC
Statement:

A previous statement by Red Hat related to this CVE, prior to August 2019, said that Apache Struts 2 is not included in any Red Hat products. This earlier statement was incorrect. While Struts 2 is not actively compiled, shipped, used, or enabled in any Red Hat provided final products, and does not cause any vulnerability in the product, struts2-core jars have been included in some products' source code packages. The inclusion was part of an import of the Google Guice repository, which includes struts2-core. Customers that build artefacts from our source code could be at risk. Red Hat will remove these artefacts from source code in future releases.

The products that included the Struts 2 artefacts in their source jars:
Fuse Service Works 6.0.0
Single Sign On 7.3.0+

If you have used the source package from one of these products to build artefacts on your system, you should do the following to remove potentially affected jars:
1. Run 'find . -name struts2*.jar' under the source location
2. Remove any files found
This will not affect the product, as the jar is included with the source of google-guice, but no functionality requiring struts2 is implemented.


Note You need to log in before you can comment on or make changes to this bug.